Update access grant
curl --request PUT \
--url https://api.vantage.sh/v2/access_grants/{access_grant_token} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.vantage.sh/v2/access_grants/{access_grant_token}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.vantage.sh/v2/access_grants/{access_grant_token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"token": "rsrc_accss_grnt_eea11f0d35318b0d",
"resource_token": "rprt_e84d7760ab2dd7dc",
"access": "allowed",
"team_token": "team_25fc4aa890869602",
"created_at": "2024-01-18T17:39:36Z",
"created_by": "usr_57ed2fa2a7b30166"
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}AccessGrants
Update access grant
Update an AccessGrant.
PUT
/
access_grants
/
{access_grant_token}
Update access grant
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Body
application/json
Update an AccessGrant.
Allowed or denied access to resource.
Available options:
denied, allowed Response
AccessGrant model
The token for any resource the AccessGrant is applied to.
Example:
"rprt_abcd1234"
The access status of the AccessGrant.
The Team token for which an AccessGrant is applied to.
The date and time, in UTC, the AccessGrant was created. ISO 8601 Formatted.
Example:
"2023-08-04T00:00:00Z"
The token for the User who created the AccessGrant.
⌘I